原创

困扰已久的“Subversion Native Library Not Available"终于解决了

Subclipse talks to Subversion via a Java API that requires access to native libraries.

Those libraries were either not found or an incompatible version was loaded.The

errors are displayed below.

Information on getting a proper version installed and visible to Eclipse is available here:

http://subclipse.tigris.org/wiki/JavaHL

Errors:

Failed to load JavaHL Library.

These are the errors that were encountered:

no libapr-1 in java.library.path

no libapriconv-1 in java.library.path

no libeay32 in java.library.path

no ssleay32 in java.library.path

no libaprutil-1 in java.library.path

no libsvn_subr-1 in java.library.path

no libsvn_delta-1 in java.library.path

no libsvn_diff-1 in java.library.path

no libsvn_wc-1 in java.library.path

no libsvn_fs-1 in java.library.path

no libsvn_repos-1 in java.library.path

no libsvn_ra-1 in java.library.path

no libsvn_client-1 in java.library.path

no libsvnjavahl-1 in java.library.path

no svnjavahl-1 in java.library.path

no svnjavahl in java.library.path

java.library.path = xxx

=====

这个错误困扰了我很久。今天终于痛下心来搜索了一波。

打开:Window -> Preferences -> Team -> SVN,选择SVNKit(Pure Java)SVNKit v1.8即可~~~

image.png

温馨提示:
本文最后更新于 2022年03月01日,已超过 333 天没有更新。若文章内的图片失效(无法正常加载),请留言反馈或直接联系我
正文到此结束
该篇文章的评论功能已被站长关闭
本文目录